import * as $dara from '@darabonba/typescript';
export declare class DescribeDiskMonitorDataResponseBodyMonitorDataDiskMonitorData extends $dara.Model {
    BPSRead?: number;
    BPSTotal?: number;
    BPSWrite?: number;
    diskId?: string;
    IOPSRead?: number;
    IOPSTotal?: number;
    IOPSWrite?: number;
    latencyRead?: number;
    latencyWrite?: number;
    timeStamp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDiskMonitorDataResponseBodyMonitorData extends $dara.Model {
    diskMonitorData?: DescribeDiskMonitorDataResponseBodyMonitorDataDiskMonitorData[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDiskMonitorDataResponseBody extends $dara.Model {
    monitorData?: DescribeDiskMonitorDataResponseBodyMonitorData;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of monitoring data entries returned.
     *
     * @example
     * 3
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
